<div class="content">
    <div class="welcome-column">
        <div class="card">
            <app-avatar
                [name]="userLogged.name"
                [photo]="userLogged.avatar || null"
                class="avatar"
            ></app-avatar>

            <h4>Bem vindo</h4>
            <h2>{{ userLogged.name }}</h2>

            <a color="accent" mat-raised-button routerLink="./profile">
                <mat-icon>account_circle</mat-icon>
                Perfil
            </a>
        </div>
    </div>

    <div class="second-column">
        <ng-template [canView]="[1, 3]">
            <div *ngIf="haveData | async" class="counters">
                <div>
                    <h2>{{ numberOfUsers }}</h2>
                    <h4>N.º de Utilizadores</h4>

                    <a color="primary" mat-button routerLink="./users">
                        <mat-icon>visibility</mat-icon>
                        Visualizar
                    </a>
                </div>
                <div>
                    <h2>{{ numberOfAthletes }}</h2>
                    <h4>N.º de Atletas</h4>
                    <a color="primary" mat-button routerLink="./athletes">
                        <mat-icon>visibility</mat-icon>
                        Visualizar
                    </a>
                </div>
                <div>
                    <h2>{{ numberOfMachines }}</h2>
                    <h4>N.º de Máquinas Registadas</h4>
                    <a color="primary" mat-button routerLink="./machines">
                        <mat-icon>visibility</mat-icon>
                        Visualizar
                    </a>
                </div>
            </div>
        </ng-template>

        <ng-template [canView]="[2]">
            <div
                *ngIf="physicalEvaluations !== null && haveEvaluations | async"
                class="evaluation-chart"
            >
                <h2>Avaliações Físicas</h2>
                <h3>Comparação - 2 últimas avaliações</h3>

                <app-group-bar-chart
                    [data]="datasets"
                    [labels]="labels"
                    class="chart"
                ></app-group-bar-chart>
            </div>
        </ng-template>
    </div>
</div>
